# spec file for php-pear-Net-Sieve
#
# Copyright (c) 2008-2014 Remi Collet
# Copyright (c) 2006-2008 Brandon Holbrook
#
# License: MIT
# http://opensource.org/licenses/MIT
#
# Please, preserve the changelog entries
#
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name Net_Sieve

Name:           php-pear-Net-Sieve
Version:        1.3.3
Release:        1%{?dist}
Summary:        Handles talking to a sieve server

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Net_Sieve
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php-pear(PEAR)
Requires:       php-pear(Net_Socket) >= 1.0
Requires:       php-pear(Auth_SASL) >= 1.0

Provides:       php-pear(%{pear_name}) = %{version}

%description
This package provides an API to talk to servers implementing the 
managesieve protocol. It can be used to install and remove sieve
scripts, mark them active etc.


%prep
%setup -q -c
mv package.xml %{pear_name}-%{version}/%{name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/Net


%changelog
* Fri Sep 26 2014 Remi Collet <remi@fedoraproject.org> - 1.3.3-1
- Version 1.3.3 (stable) - API 1.3.0 (stable)

* Tue Feb 19 2013 Remi Collet <remi@fedoraproject.org> - 1.3.2-6
- fix metadata location

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 1.3.2-4
- rebuilt for new pear_testdir

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Aug 08 2011 Remi Collet <Fedora@FamilleCollet.com> 1.3.2-1
- Version 1.3.2 (stable) - API 1.3.0 (stable)

* Sat Aug 06 2011 Remi Collet <Fedora@FamilleCollet.com> 1.3.1-1
- Version 1.3.1 (stable) - API 1.3.0 (stable)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 14 2010 Remi Collet <Fedora@FamilleCollet.com> 1.3.0-1
- Version 1.3.0 (stable) - API 1.3.0 (stable)

* Mon Jun 14 2010 Remi Collet <Fedora@FamilleCollet.com> 1.2.2-1
- update to 1.2.2 - API 1.2.0

* Tue Apr 20 2010 Remi Collet <Fedora@FamilleCollet.com> 1.2.1-1
- update to 1.2.1 - API 1.2.0

* Sat Apr 03 2010 Remi Collet <Fedora@FamilleCollet.com> 1.2.0-1
- update to 1.2.0 - API 1.2.0

* Wed Jul 29 2009 Remi Collet <Fedora@FamilleCollet.com> 1.1.7-1
- update to 1.1.7 (bugfix)
- move Net_Sieve.xml to php-pear-Net-Sieve.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue May 27 2008 Remi Collet <Fedora@FamilleCollet.com> 1.1.6-1
- update to 1.1.6
- add generated CHANGELOG

* Sat Dec 30 2006 Brandon Holbrook <fedora at theholbrooks.org> 1.1.5-2
- Cleaned up spec file to latest pear template
- Changed license to BSD

* Fri Dec 29 2006 Brandon Holbrook <fedora at theholbrooks.org> 1.1.5-1
- initial RPM

